package com.shuqi.y4.voice.aidl;
import com.shuqi.y4.voice.bean.VoiceNotificationBean;
import com.shuqi.y4.voice.bean.VoiceParamsBean;
import com.shuqi.y4.voice.aidl.IVoiceCallbackListener;
import com.shuqi.y4.voice.bean.VoicePageContentData;
import com.shuqi.y4.voice.bean.VoiceProgressBean;
interface IVoiceListener {
    void play(in VoicePageContentData pageContentData, int actionType, int index, boolean closeVoiceWhenPageFinish);
    void next();
    void pre();
    void pause();
    void close();
    void setNotificationBean(in VoiceNotificationBean voiceNotificationBean);
    void setVoiceParams(in VoiceParamsBean paramsBean);
    VoiceParamsBean getVoiceParamsBean();
    VoicePageContentData getCurVoicePageContentData();
    boolean isVoicePlaying();
    boolean isVoicePauseing();
    boolean isVoiceStoping();
    boolean isCacheLoading();
    boolean isCacheExist(String url);
    boolean isMobileConfirm();
    void startVoiceService(IVoiceCallbackListener listener);
    VoiceProgressBean getCurProgressBean(String url);
    void startCountDownRunnable(int countDownTime);
    void stopTimeRunnable(boolean immediately);
    boolean isTimeRunning();
    boolean isAutoPlayNextChapter();
}